## dvr-scan-dmo 1.7.0.1

=== debian/changelog ===
dvr-scan-dmo (1.7.0.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Mar 2025 08:43:19 +0100

dvr-scan-dmo (1.6.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Dec 2024 08:37:45 +0100

dvr-scan-dmo (1.6.1.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 May 2024 07:48:10 +0200

dvr-scan-dmo (1.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 19 May 2024 07:44:32 +0200

dvr-scan-dmo (1.6-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 16 Oct 2023 08:38:21 +0200

dvr-scan-dmo (1.5.1-dmo2) unstable; urgency=medium

  * Rename the package to dvr-scan was python3-dvr-scan

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Jul 2023 11:31:55 +0200

dvr-scan-dmo (1.5.1-dmo1) unstable; urgency=medium

  * Initial release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 10 Jul 2023 18:41:11 +0200

## dvr-scan-dmo 1.8.1

=== requirements.txt ===
#
# DVR-Scan Python Requirements
#
numpy
opencv-python
opencv-contrib-python
pillow
platformdirs
pytest
scenedetect>=0.6.2
screeninfo
tqdm

=== debian/changelog ===
dvr-scan-dmo (1.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Aug 2025 08:39:29 +0200

dvr-scan-dmo (1.8-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Aug 2025 08:50:48 +0200

=== debian/control ===
Source: dvr-scan-dmo
Section: video
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://dvr-scan.readthedocs.io/en/latest/
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
 pybuild-plugin-pyproject, python3-tk, mkdocs-material, python3-jinja2,
 python3-opencv, python3-scenedetect (>= 0.6.6~), python3-setuptools,

Package: dvr-scan
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-scenedetect (>= 0.6.6),
Replaces: python3-dvr-scan,
Conflicts: python3-dvr-scan,
Description: Find and extract motion events in videos
 A cross-platform command-line (CLI) application that automatically detects
 motion events in video files (e.g.  security camera footage).
 .
 In addition to locating both the time and duration of each motion event,
 DVR-Scan will save the footage of each motion event to a new, separate
 video clip. Not only is DVR-Scan free and open-source software, it's
 written in Python, based on Numpy and OpenCV, and was built to be
 extendable and hackable.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dvr-scan

%:
	dh $@ -Spybuild

#override_dh_auto_build:
#	python3 dist/pre_release.py

#	dh_auto_build

override_dh_python3:
	dh_python3 --requires=requirements.txt

override_dh_auto_test:

=== debian/watch ===
version=4

opts="uversionmangle=s/-release//" \
https://github.com/Breakthrough/DVR-Scan/tags \
(?:.*?/)v?@ANY_VERSION@@ARCHIVE_EXT@

## dvr-scan-dmo 1.8.2

=== requirements.txt ===
#
# DVR-Scan Python Requirements
#
numpy
# TODO(#257): Unpin OpenCV versions once we figure out why frame numbers are mismatching in tests.
opencv-contrib-python<4.13
pillow
platformdirs
pytest
scenedetect>=0.6.2
screeninfo
tqdm

=== docs/requirements.txt ===
mkdocs==1.6.1
mkdocs-material==9.5.49
mkdocs-material-extensions==1.3.1
mkdocs-minify-plugin==0.8.0
jinja2==3.1.5

=== debian/changelog ===
dvr-scan-dmo (1.8.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 19 Jan 2026 08:27:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: dvr-scan-dmo
 Section: video
-Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://dvr-scan.readthedocs.io/en/latest/
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3-dev,
  pybuild-plugin-pyproject, python3-tk, mkdocs-material, python3-jinja2,
  python3-opencv, python3-scenedetect (>= 0.6.6~), python3-setuptools,
